package text

import (
	tgbotapi "github.com/go-telegram-bot-api/telegram-bot-api/v5"
	"github.com/rs/zerolog/log"
	"strings"
	"time"
	"watn3y/bloaterbotv3/commonlogic"
	"watn3y/bloaterbotv3/config"
	"watn3y/bloaterbotv3/text/balonlyl"
)

func Matcher(update tgbotapi.Update, bot *tgbotapi.BotAPI) {

	log.Debug().Str("text", update.Message.Text).Int64("chat", update.Message.Chat.ID).Msg("Starting text matcher")

	if time.Since(config.BotConfig.Shutup[update.Message.Chat.ID]) <= time.Minute*60 {
		log.Debug().Str("text", update.Message.Text).Int64("chat", update.Message.Chat.ID).Msg("Aborting due to shut-up")
		return
	}
	//balonlyl
	var isBalonlyl = false
	for _, word := range config.BotConfig.Balonlyl.TriggerWords {
		if strings.Contains(strings.ToLower(update.Message.Text), word) && (commonlogic.ContainsInt64(config.BotConfig.Balonlyl.EnabledChats, update.Message.Chat.ID)) {
			isBalonlyl = true
			break
		}
	}
	if isBalonlyl {
		log.Debug().Str("text", update.Message.Text).Int64("chat", update.Message.Chat.ID).Msg("Matched Balonlyl meme")
		go balonlyl.Balonlyl(update, bot)
	}

}
