package webserver

import (
	"net/http"
	"watn3y/bloaterbotv3/config"

	"github.com/rs/zerolog/log"
)

func RunWeb() {
	fs := http.FileServer(http.Dir("./videos"))
	http.Handle("/", fs)

	log.Info().Str("port", config.BotConfig.Webserver.Port).Str("path", "./videos").Msg("Starting webserver")

	err := http.ListenAndServe(":" + config.BotConfig.Webserver.Port, nil)

	if err != nil {
		log.Panic().Err(err).Msg("Failed to start webserver")
	}

}
